Bug 721057 - Review Request: rubygem-sass - A powerful but elegant CSS compiler that makes CSS fun again
Summary: Review Request: rubygem-sass - A powerful but elegant CSS compiler that makes...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Chris Lalancette
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-07-13 15:46 UTC by Mo Morsi
Modified: 2014-05-20 14:18 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-07-20 16:08:14 UTC
Type: ---
clalance: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Mo Morsi 2011-07-13 15:46:20 UTC
Spec URL: http://mo.morsi.org/files/aeolus/rubygem-sass.spec
SRPM URL:
http://mo.morsi.org/files/aeolus/rubygem-sass-3.1.4-1.fc15.src.rpm

Description: 

Sass makes CSS fun again. Sass is an extension of CSS3, adding
nested rules, variables, mixins, selector inheritance, and more.
It's translated to well-formatted, standard CSS using the 
command line tool or a web-framework plugin.

Comment 1 Chris Lalancette 2011-07-13 17:46:28 UTC
Initial review:

1)  There are a few lines in there that have trailing whitespace (like Requires: ruby); not a huge problem, but nice to clean up.
2)  The license is wrong; the spec says GPLv2+ or Ruby (which I know is the default gem2rpm output), but the actual license of the gem is MIT.

[clalance@localhost SPECS]$ rpmlint rubygem-sass-3.1.4-1.fc14.noarch.rpmrubygem-sass.noarch: W: spelling-error %description -l en_US mixins -> mixing, mix ins, mix-ins
rubygem-sass.noarch: W: file-not-utf8 /usr/lib/ruby/gems/1.8/gems/sass-3.1.4/test/sass/templates/_imported_charset_ibm866.sass
rubygem-sass.noarch: W: file-not-utf8 /usr/lib/ruby/gems/1.8/gems/sass-3.1.4/test/sass/results/import_charset_1_8.css
rubygem-sass.noarch: W: file-not-utf8 /usr/lib/ruby/gems/1.8/gems/sass-3.1.4/test/sass/results/import_charset_ibm866.css
rubygem-sass.noarch: W: file-not-utf8 /usr/lib/ruby/gems/1.8/gems/sass-3.1.4/test/sass/css2sass_test.rbc
rubygem-sass.noarch: E: zero-length /usr/lib/ruby/gems/1.8/gems/sass-3.1.4/test/sass/results/warn_imported.css
rubygem-sass.noarch: E: zero-length /usr/lib/ruby/gems/1.8/gems/sass-3.1.4/test/sass/results/warn.css
rubygem-sass.noarch: W: file-not-utf8 /usr/lib/ruby/gems/1.8/gems/sass-3.1.4/test/sass/engine_test.rbc
rubygem-sass.noarch: W: no-manual-page-for-binary sass-convert
rubygem-sass.noarch: W: no-manual-page-for-binary sass
1 packages and 0 specfiles checked; 2 errors, 8 warnings.

I think we can ignore the "not-utf8" warnings and the "no manpage" warnings, but we should probably remove the zero-length files.

[  OK  ] MUST: rpmlint must be run on every package
[  OK  ] MUST: The package must be named according to the Package Naming 
         Guidelines
[  OK  ] MUST: The spec file name must match the base package %{name} [...]
[  OK  ] MUST: The package must meet the Packaging Guidelines
The Source of the package must be the full URL to the released Gem archive
See: http://fedoraproject.org/wiki/Packaging/Ruby#Ruby_Gems
http://fedoraproject.org/wiki/Packaging:SourceURL

[  OK  ] MUST: The package must be licensed with a Fedora approved license
         and meet the Licensing Guidelines
[ FAIL ] MUST: The License field in the package spec file must match the 
         actual license
[  OK  ] MUST: If (and only if) the source package includes the text of the 
         license(s) in its own file, then that file, containing the text of 
         the license(s) for the package must be included in %doc
[  OK  ] MUST: The spec file must be written in American English.
[  OK  ] MUST: The spec file for the package MUST be legible.
[  OK  ] MUST: The sources used to build the package must match the
upstream 
         source, as provided in the spec URL. Reviewers should use md5sum for 
         this task. If no upstream URL can be specified for this package, 
         please see the Source URL Guidelines for how to deal with this.
[  OK  ] MUST: The package MUST successfully compile and build into binary 
         rpms on at least one primary architecture
[  N/A ] MUST: If the package does not successfully compile, build or work on 
         an architecture, then those architectures should be listed in the 
         spec in ExcludeArch. Each architecture listed in ExcludeArch MUST 
         have a bug filed in bugzilla, describing the reason that the package 
         does not compile/build/work on that architecture. The bug number MUST 
         be placed in a comment, next to the corresponding ExcludeArch line
[  OK  ] MUST: All build dependencies must be listed in BuildRequires, except 
         for any that are listed in the exceptions section of the Packaging 
         Guidelines ; inclusion of those as BuildRequires is optional. Apply 
         common sense.
[  N/A ] MUST: The spec file MUST handle locales properly. This is done by 
         using the %find_lang macro. Using %{_datadir}/locale/* is strictly 
         forbidden
[  N/A ] MUST: Every binary RPM package (or subpackage) which stores shared 
         library files (not just symlinks) in any of the dynamic linker's 
         default paths, must call ldconfig in %post and %postun.
[  N/A ] MUST: If the package is designed to be relocatable, the packager must 
         state this fact in the request for review, along with the 
         rationalization for relocation of that specific package. Without 
         this, use of Prefix: /usr is considered a blocker.
[  OK  ] MUST: A package must own all directories that it creates. If it does 
         not create a directory that it uses, then it should require a package 
         which does create that directory.
[  OK  ] MUST: A package must not contain any duplicate files in the %files 
         listing.
[  OK  ] MUST: Permissions on files must be set properly. Executables should 
         be set with executable permissions, for example.
[  OK  ] MUST: Each package must consistently use macros.
[  OK  ] MUST: The package must contain code, or permissable content.
[  OK  ] MUST: Large documentation files must go in a -doc subpackage. (The 
         definition of large is left up to the packager's best judgement, but 
         is not restricted to size. Large can refer to either size or 
         quantity).
[  OK  ] MUST: If a package includes something as %doc, it must not affect the 
         runtime of the application. To summarize: If it is in %doc, the 
         program must run properly if it is not present.
[  N/A ] MUST: Header files must be in a -devel package.
[  N/A ] MUST: Static libraries must be in a -static package.
[  N/A ] MUST: Packages containing pkgconfig(.pc) files must 'Requires: 
         pkgconfig' (for directory ownership and usability).
[  N/A ] MUST: If a package contains library files with a suffix (e.g. 
         libfoo.so.1.1), then library files that end in .so (without suffix) 
         must go in a -devel package.
[  N/A ] MUST: In the vast majority of cases, devel packages must require the 
         base package using a fully versioned dependency: Requires: %{name} =
         %{version}-%{release}
[  N/A ] MUST: Packages must NOT contain any .la libtool archives, these must 
         be removed in the spec if they are built.
[  N/A ] MUST: Packages containing GUI applications must include a
         %{name}.desktop file, and that file must be properly installed with 
         desktop-file-install in the %install section. If you feel that your 
         packaged GUI application does not need a .desktop file, you must put 
         a comment in the spec file with your explanation.
[  OK  ] MUST: Packages must not own files or directories already owned by 
         other packages. The rule of thumb here is that the first package to 
         be installed should own the files or directories that other packages 
         may rely upon. This means, for example, that no package in Fedora 
         should ever share ownership with any of the files or directories 
         owned by the filesystem or man package. If you feel that you have a 
         good reason to own a file or directory that another package owns, 
         then please present that at package review time.
[ FAIL ] MUST: At the beginning of %install, each package MUST run rm -rf
         %{buildroot} (or $RPM_BUILD_ROOT).
[ SKIP ] MUST: All filenames in rpm packages must be valid UTF-8.

Comment 2 Mo Morsi 2011-07-14 22:30:47 UTC
New Spec:http://mo.morsi.org/files/aeolus/rubygem-sass.spec
New SRPM: http://mo.morsi.org/files/aeolus/rubygem-sass-3.1.4-1.fc15.src.rpm
Koji Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3200004


(In reply to comment #1)
> Initial review:
> 
> 1)  There are a few lines in there that have trailing whitespace (like
> Requires: ruby); not a huge problem, but nice to clean up.

Done

> 2)  The license is wrong; the spec says GPLv2+ or Ruby (which I know is the
> default gem2rpm output), but the actual license of the gem is MIT.
> 

Done

> [clalance@localhost SPECS]$ rpmlint
> rubygem-sass-3.1.4-1.fc14.noarch.rpmrubygem-sass.noarch: W: spelling-error
> %description -l en_US mixins -> mixing, mix ins, mix-ins
> rubygem-sass.noarch: W: file-not-utf8
> /usr/lib/ruby/gems/1.8/gems/sass-3.1.4/test/sass/templates/_imported_charset_ibm866.sass
> rubygem-sass.noarch: W: file-not-utf8
> /usr/lib/ruby/gems/1.8/gems/sass-3.1.4/test/sass/results/import_charset_1_8.css
> rubygem-sass.noarch: W: file-not-utf8
> /usr/lib/ruby/gems/1.8/gems/sass-3.1.4/test/sass/results/import_charset_ibm866.css
> rubygem-sass.noarch: W: file-not-utf8
> /usr/lib/ruby/gems/1.8/gems/sass-3.1.4/test/sass/css2sass_test.rbc
> rubygem-sass.noarch: E: zero-length
> /usr/lib/ruby/gems/1.8/gems/sass-3.1.4/test/sass/results/warn_imported.css
> rubygem-sass.noarch: E: zero-length
> /usr/lib/ruby/gems/1.8/gems/sass-3.1.4/test/sass/results/warn.css
> rubygem-sass.noarch: W: file-not-utf8
> /usr/lib/ruby/gems/1.8/gems/sass-3.1.4/test/sass/engine_test.rbc
> rubygem-sass.noarch: W: no-manual-page-for-binary sass-convert
> rubygem-sass.noarch: W: no-manual-page-for-binary sass
> 1 packages and 0 specfiles checked; 2 errors, 8 warnings.
> 
> I think we can ignore the "not-utf8" warnings and the "no manpage" warnings,
> but we should probably remove the zero-length files.


Both the non-utf8 and zero-length files exist that way purposefully as they are used by the test suite. Removing them causes errors when running the tests so leaving them as is.




> [ FAIL ] MUST: The License field in the package spec file must match the 
>          actual license

Fixed.



> [ FAIL ] MUST: At the beginning of %install, each package MUST run rm -rf
>          %{buildroot} (or $RPM_BUILD_ROOT).

rm -rf %{buildroot} in %install is no longer needed

http://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag

Comment 3 Mo Morsi 2011-07-14 22:32:25 UTC
Sorry that updated SRPM should be:

http://mo.morsi.org/files/aeolus/rubygem-sass-3.1.4-2.fc15.src.rpm

Comment 4 Chris Lalancette 2011-07-19 19:19:46 UTC
Looks great.  This package is APPROVED.

Comment 5 Mo Morsi 2011-07-20 14:15:56 UTC
Thank you

New Package SCM Request
=======================
Package Name: rubygem-sass
Short Description: A powerful but elegant CSS compiler 
Owners: mmorsi
Branches: 
InitialCC:

Comment 6 Gwyn Ciesla 2011-07-20 15:48:13 UTC
Git done (by process-git-requests).

Comment 7 Mo Morsi 2011-07-20 16:08:14 UTC
Pushed and built against rawhide

Comment 8 Lubomir Rintel 2014-05-20 14:16:06 UTC
Package Change Request
======================
Package Name: rubygem-sass
New Branches: epel7
Owners: lkundrak

Fedora maintainers either did not respond when asked to maintain an epel branch or do not wish to maintain EPEL packages: http://fedoraproject.org/wiki/EPEL/ContributorStatusNo

Comment 9 Gwyn Ciesla 2014-05-20 14:18:16 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.